<template>
  <q-list class="max-h-full overflow-auto pb-14" bordered>
    <q-item v-for="(n, i) in notice" :key="n" class="q-my-sm" clickable v-ripple>
      <q-item-section avatar>
        <q-avatar color="primary" text-color="white">
        </q-avatar>
      </q-item-section>
      <q-item-section>
        <q-item-label>{{n.title}}</q-item-label>
        <div class="mb-6 mt-2 text-sm opacity-70">{{n.comments}}</div>
        <q-item-label caption lines="2">Дата публикации: {{formattedDate(n.createdAt)}}</q-item-label>
      </q-item-section>
    </q-item>
  </q-list>
</template>

<script>
import api from "../../API/api";
import formattedDate from "../../utils/formatDate";
import {ref} from "vue";

export default {
  name: "index",
  setup () {
    const notice = ref([])
    api.getLeadInfo().then(res => res.data.leadInfo.length && (notice.value = res.data.leadInfo.reverse()))
    return {
      notice,
      formattedDate
    }
  }
}
</script>

<style scoped>

</style>